Subject: Issues with Dovecot (Pigeonhole?) after release upgrade

From: paradoor <[email-masked]>
Date: Sat, 31 May 2025 22:47:36 +0000

Hi,

I have an Alpine Linux Postfix/Dovecot mail server. I updated from Alpine 3.21 to 3.22 today, which included updating Dovecot & associated packages from 2.3.21 to 2.4.1. I also am using Dovecot's pigeonhole plugin from the `dovecot-pigeonhole-plugin` package.

I updated my Dovecot config for 2.4, and `doveconf -n` runs without error, and I'm able to `rc-service dovecot start` without error. However I noticed I'm not able to authenticate. I posted to the Dovecot mailing list, details are here: https://dovecot.org/mailman3/archives/list/[email-masked]/thread/WUP7YNHAP2CMZURDIHWXYJ7KW5M5JS2B/

But basically, any `doveadm` command seems to have the error:

Fatal: Couldn't load required plugin /usr/lib/dovecot/lib90_sieve_plugin.so: dlopen() failed: Error relocating /usr/lib/dovecot/lib90_sieve_plugin.so: mail_deliver_get_return_address: symbol not found

This sounds like it may be a pigeonhole packaging issue with Alpine? I'm posting here in case it is, but in the case that this is some kind of user error with how I am using Dovecot, hopefully the linked Dovecot mailing list post has the necessary details to diagnose what I'm doing wrong. It's also obviously possible that there's multiple things wrong going on here, again the linked Dovecot mailing list post explains in more detail.

If this is a packaging error, I think in order to replicate it you would just need to enable the Sieve plugin and install `dovecot-pigeonhole-plugin`. And then run `doveadm` to get the error message.

Thanks in advance, and also thanks to the maintainers of Alpine for keeping such a high-quality and unique distro around.